"use strict";

var joinURL = require("url-join");
var responseHandlers = require("../response.js");
var request = require("../request.js");
var encodePath = request.encodePath;
var fetch = request.fetch;

function deleteFile(filename, options) {
    var fetchURL = joinURL(options.remoteURL, encodePath(filename));
    var fetchOptions = {
        method: "DELETE",
        headers: options.headers
    };
    return fetch(fetchURL, fetchOptions).then(responseHandlers.handleResponseCode);
}

module.exports = {
    deleteFile: deleteFile
};